Closed Bug 1121372 Opened 5 years ago Closed 4 years ago

[Flame][Homescreen] When alarm is ended, device will exit homescreen editing view and back to homescreen.

Categories

(Firefox OS Graveyard :: Gaia::Homescreen, defect)

ARM
Gonk (Firefox OS)
defect
Not set

Tracking

(b2g-v2.0 affected, b2g-v2.1 affected, b2g-v2.2 affected, b2g-master affected)

RESOLVED WONTFIX
Tracking Status
b2g-v2.0 --- affected
b2g-v2.1 --- affected
b2g-v2.2 --- affected
b2g-master --- affected

People

(Reporter: huayu.li, Unassigned)

References

Details

Attachments

(3 files)

Attached file logcat.txt
[1.Description]:
[Flame][v2.1&2.2][Homescreen]Long tap in homescreen blank area, or entering home screen settings/add smart collections page. At this time, the alarm rings, snooze or stop alarm, device will exit homescreen editing view and back to homescreen
Occurence time:19:10
see attachments:logcat.txt,1.mp4

[2.Testing Steps]: 
1.Set an alarm to sound one after minute.
2.Back to homescreen.
2.Long tap blank area.
3-1.Do nothing and waiting for alarm.
3-2.Tap "Add smart collections" and wait for alarm.
3-3.Tap "Homescreen settings" and wait for alarm.
4.Tap soonze or stop while alarm page is displayed.

[3.Expected Result]: 
4.Stay in homescreen editing page.

[4.Actual Result]: 
4. When alarm is ended, device will exit homescreen editing view and back to homescreen. 

[5.Reproduction build]: 
Flame 2.1:
Gaia-Rev        6957ac8a322234ec99c8abb7cc18dc6a2e0176db
Gecko-Rev       https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/6600eba54256
Build-ID        20150113161204
Version         34.0
Device-Name     flame
FW-Release      4.4.2
FW-Incremental  eng.cltbld.20150113.192836
FW-Date         Tue Jan 13 19:28:47 EST 2015
Bootloader      L1TC000118D0

Flame2.2::
Gaia-Rev        7c5b27cad370db377b18a742d3f3fdb0070e899f
Gecko-Rev       https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/748b20315f75
Build-ID        20150113162504
Version         37.0a2
[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
Attached video 1.MP4
Hi, Alissa,

Does it happen on v2.0 build?
Thank you.
Flags: needinfo?(huayu.li)
Hi william,
There is some different on Flame 2.0,details:
3-1.Do nothing and waiting for alarm.-->pass
3-2.Tap "Add smart collections" and wait for alarm. --> Fail

Another step of this issue:
3-1.Do nothing and lock/unlock screen -->Fail
3-2.Tap "Add smart collections"  and lock/unlock screen -->Fail
3-3.Tap "Homescreen settings" and lock/unlock screen -->Fail.

The results of this step on 2.0,2.1,2.2 is same,(NA step 3-3 on flame 2.0)


Flame 2.0
Gaia-Rev        31d6c9422cd0a8213df9f96019c9ab7168ec3ab3
Gecko-Rev       https://hg.mozilla.org/releases/mozilla-b2g32_v2_0/rev/f2b6017e84eb
Build-ID        20150114000207
Version         32.0
Device-Name     flame
FW-Release      4.4.2
FW-Incremental  eng.cltbld.20150114.032626
FW-Date         Wed Jan 14 03:26:37 EST 2015
Bootloader      L1TC000118D0
Flags: needinfo?(huayu.li)
Hi, Alissa,

Thanks for providing these detailed information.

There is something wrong with web activities.
Let's wait for solution.
Many thanks. :)
Hi William,
This issue still exists on Flame2.0&2.1&2.2&3.0.
Please see the latest log:"logcat_flame3.0.txt"
Found Time: 04:27

Flame 2.0 build:
Build ID               20150301000203
Gaia Revision          366aaa19ac474dc58b79d62a91cff41756ae9dfe
Gaia Date              2015-02-22 20:25:01
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g32_v2_0/rev/1bd33f5447d2
Gecko Version          32.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150301.034812
Firmware Date          Sun Mar  1 03:48:22 EST 2015
Bootloader             L1TC000118D0

Flame 2.1 build:
Build ID               20150301001349
Gaia Revision          5d3479fdd438412adee4452720856b6b771fe5cd
Gaia Date              2015-02-25 18:20:09
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/9bf4c663241f
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150301.034808
Firmware Date          Sun Mar  1 03:48:19 EST 2015
Bootloader             L1TC000118D0

Flame 2.2 build:
Build ID               20150301002505
Gaia Revision          77609916ca5ab721150fab2b7bc5c37f43ee3a5a
Gaia Date              2015-02-27 16:35:06
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/27ab8aa34201
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150301.040042
Firmware Date          Sun Mar  1 04:00:53 EST 2015
Bootloader             L1TC000118D0

Flame 3.0 build:
Build ID               20150215010209
Gaia Revision          f0b93e0668ef9565bd6f050b15b4f794d59feb65
Gaia Date              2015-02-13 13:13:27
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/e0cb32a0b1aa
Gecko Version          38.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150215.043133
Firmware Date          Sun Feb 15 04:31:43 EST 2015
Bootloader             L1TC000118D0

Woodduck 2.0 build:
Build ID               20150302050313
Gaia Revision          a1b5959728c8bc2a82354e197bb161922d419866
Gaia Date              2015-02-13 09:00:02
Gecko Revision         d9b299dc1087f23c83321b4dccc92e0f52309e8e
Gecko Version          32.0
Device Name            jrdhz72_w_ff
Firmware(Release)      4.4.2
Firmware(Incremental)  1425243887
Firmware Date          Mon Mar  2 05:05:08 CST 2015
Flags: needinfo?(whsu)
Thanks for your double confirmation.
I think it is a common issue.
Flags: needinfo?(whsu)
Mass update: Resolve wontfix all issues with legacy homescreens.

As of 2.6 we have a new homescreen and having these issues open is confusing. All issues will block bug 1231115 so we can use that to re-visit any of these if needed.
Blocks: 1231115
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.